Subject: RE: bug#8856: 24.0.50; regression: special-display-frame is no longer dedicated

From: "Drew Adams" <[email-masked]>
Date: Sat, 25 Jun 2011 08:04:34 -0700

To clarify some of what I said last -

> for some reason the new *Completions* frame is getting
> the input (keyboard) focus.  It is supposed to be a
> frame that always has its keyboard input redirected to
> the minibuffer frame.
>
> I suspect it's better to concentrate on the problem of input 
> focus rather than speaking only in terms of window/frame
> selection.

Re-reading that, it sounds a bit misleading ("always").  It is of course also
about which window/frame is selected (and a user can in fact change the input
focus to *Completions*, via a minibuffer keymap key).

I just meant that in this situation *Completions* should have the focus, and it
does not.

> The new *Completions* frame _appears_ selected even prior
> to your changes (as shown by the window mgr border
> color, for instance), but the input focus is always correctly 
> redirected to the minibuffer frame.

That was all I was trying to say above wrt "selection".  What counts here is
that *Completions* is getting the input focus and it should not be getting it.